#!/bin/bash

# add website with protocol
#monitorWebsites=(
#	https://play4.hebotek.at/
#	https://staging.jeunesse.at/
#	https://www.oevs.or.at/
#)

monitorWebsites=( "$@" )

# add email addresses
email_to="florian.heder@hebotek.at,alexander.bohn@hebotek.at"


## 

tempCheckFile=/tmp/checkOnlineFile.log

monitor() {
	/usr/bin/curl -sI $1 &> $tempCheckFile
	return $(head -n 1 $tempCheckFile | grep 200 | wc -l)
}

mailto() {
	email_subject="Fatal Error reaching $f"
	mailInfo+="[!] $f is not reachable any more"
	mailInfo+="[!] Fatal Error occurred on $(date)!" 

	# echo -e "$mailInfo" | mail -s "$email_subject" "$email_to"
	echo $mailInfo
	exit 1
}


for f in ${monitorWebsites[*]}; do
	monitor $f

	if [ $? -eq 0 ];then
		mailto;
	else 
		echo $f works!
	fi
done
